Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Calibre

Notices

Reply
 
Thread Tools Search this Thread
Old 03-17-2009, 11:01 PM   #1
erdalronahi
Junior Member
erdalronahi began at the beginning.
 
Posts: 4
Karma: 10
Join Date: Mar 2009
Device: none
Install Calibre in Debian Lenny?

Hi, has anyone managed to install Calibre in Debian Lenny? Even after installing necessary packages from experimental the installer still stops with the error message "Illegal instruction".
erdalronahi is offline   Reply With Quote
Old 03-17-2009, 11:04 PM   #2
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 26,438
Karma: 5383257
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=482680
kovidgoyal is offline   Reply With Quote
Old 03-20-2009, 07:43 AM   #3
erdalronahi
Junior Member
erdalronahi began at the beginning.
 
Posts: 4
Karma: 10
Join Date: Mar 2009
Device: none
Well, yes, but this only works for amd64 machines. There is no i386 package for calibre-bin, so this is not installable for me.
erdalronahi is offline   Reply With Quote
Old 03-20-2009, 11:39 AM   #4
DuneSoldier
Member
DuneSoldier began at the beginning.
 
Posts: 17
Karma: 10
Join Date: Mar 2009
Device: PRS-505
I use Calibre in Debian Unstable. I installed it using the python easy-install command. I'm not in front of that PC at the moment so I can't tell you what the exact command is, but a quick googling turns up:

"easy_install -U calibre"

then

"calibre_postinstall"

I want to say I'm using something like:

"easy_install2.5 -U calibre"

"calibre_postinstall"
DuneSoldier is offline   Reply With Quote
Old 03-27-2009, 09:56 AM   #5
erdalronahi
Junior Member
erdalronahi began at the beginning.
 
Posts: 4
Karma: 10
Join Date: Mar 2009
Device: none
The attempt with easy_install gives the following result:

Setup calibre version: 0.5.3
error: Setup script exited with error: can't copy 'src/calibre/plugins/lzx.so': doesn't exist or not a regular file

I have double-checked all dependencies, they are installed from Sid and Experimental. But still I can't find a way to install Calibre in Lenny.
erdalronahi is offline   Reply With Quote
Old 03-27-2009, 09:58 AM   #6
zhanglong
Junior Member
zhanglong began at the beginning.
 
Posts: 8
Karma: 10
Join Date: Mar 2009
Device: none
I just installed, no error at all, debian testing
zhanglong is offline   Reply With Quote
Old 03-27-2009, 10:04 AM   #7
erdalronahi
Junior Member
erdalronahi began at the beginning.
 
Posts: 4
Karma: 10
Join Date: Mar 2009
Device: none
I know that Debian testing has no problems, but I am using Debian stable (Lenny).

By the way, if I try to compile from source gives the following error after a while:

qmake -o Makefile.qt pictureflow.pro
QMAKESPEC has not been set, so configuration cannot be deduced.
Error processing project file: pictureflow.pro
error: command 'qmake' failed with exit status 3

What does that mean and how can I get around it?
erdalronahi is offline   Reply With Quote
Old 03-27-2009, 02:50 PM   #8
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 26,438
Karma: 5383257
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
You need Qt 4.4 (soon Qt 4.5) with all its developmet tool sinstalled to compile calibre
kovidgoyal is offline   Reply With Quote
Old 05-16-2010, 01:49 AM   #9
garywitscher
Enthusiast
garywitscher began at the beginning.
 
Posts: 40
Karma: 10
Join Date: Apr 2010
Device: DR800SG
Just for the record:

For Debian Lenny:

I installed 0.6.29 on my AMD 64 from the sourceforge page and it works fine.
0.6.30 does not work.
garywitscher is offline   Reply With Quote
Reply

Tags
debian lenny install

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Calibre Won't Install lsanders Calibre 15 01-02-2011 06:39 AM
Install in Bubba server (Debian Linux bubba 2.6.32.6) cc_humbry Calibre 5 07-24-2010 12:22 PM
Can't install under Debian Lenny cbalmforth Calibre 2 07-01-2010 01:59 PM
Calibre binary for Debian Lenny x64 Megatron-UK Calibre 1 01-30-2010 01:56 PM
How to build calibre in Debian Sid? tompe Calibre 10 05-06-2009 07:38 PM


All times are GMT -4. The time now is 12:43 PM.


MobileRead.com is a privately owned, operated and funded community.